Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155312 - need 32-bit /usr/lib/libxml2.a and .so
Summary: need 32-bit /usr/lib/libxml2.a and .so
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libxml2
Version: 3
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Veillard
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-19 00:55 UTC by Konstantin Olchanski
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 2.6.26
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-06-07 12:06:39 UTC


Attachments (Terms of Use)

Description Konstantin Olchanski 2005-04-19 00:55:50 UTC
Description of problem:

We use an AMD64 machine running 64-bit Fedora 3 to build 32-bit-compatible
executables and we are missing the 32-bit /usr/lib/libxml2.a and .so.

This 32-bit library is in the i386 libxml2-devel package, but it cannot be
installed because of this error from RPM: "file /usr/bin/xml2-config from
install of libxml2-devel-2.6.16-3 conflicts with file from package
libxml2-devel-2.6.16-3". (This method works for e.g. "readline-devel").

A workaround is to: "ln -s /usr/lib/libxml2.so.2 /usr/lib/libxml2.so", but I do
not know if it works long-term- I have seen something (ldconfig?), sometimes,
remove and rearrange symlinks in /usr/lib.

In our environment, where we mostly build 32-bit binaries, we would prefer to
have all 32-bit development libraries installed by the "install everything"
install method.

For reference:
[olchansk@send src]$ rpm -q libxml2
libxml2-2.6.16-3
libxml2-2.6.16-3
[olchansk@send src]$ rpm -q libxml2-devel
libxml2-devel-2.6.16-3

K.O.

Comment 1 Daniel Veillard 2006-06-07 12:06:39 UTC
Should be fixed in rawhide with libxml2-2.6.26,

Daniel


Note You need to log in before you can comment on or make changes to this bug.